%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name language-c
%define f_pkg_name language-c
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.3.2.1
Release: alt1.1
License: BSD3
Packager: Denis Smirnov <mithraen@altlinux.ru>
Group: Development/Haskell
URL: http://www.sivity.net/projects/language.c/
Source: %name-%version.tar
Summary: Analysis and generation of C code
# Automatically added by buildreq on Wed Aug 03 2011
# optimized out: ghc libgmp-devel pkg-config
BuildRequires: ghc-alex ghc-happy ghc-hscolour ghc-prof ghc-syb

BuildRequires: ghc 
BuildRequires(pre): rpm-build-haskell



%description
Language C is a haskell library for the analysis and generation of C code.
It features a complete, well tested parser and pretty printer for all of
C99 and a large set of GNU extensions.

%prep
%setup

%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%name-%version
rm -rf doc LICENSE examples

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
#%%doc LICENSE examples

%changelog
* Sat Aug 13 2011 Denis Smirnov <mithraen@altlinux.ru> 0.3.2.1-alt1.1
- rebuild with shared objects support

* Wed Aug 03 2011 Denis Smirnov <mithraen@altlinux.ru> 0.3.2.1-alt1
- Spec created by cabal2rpm 0.20_08
